数据提供商: DataForSEO
使用DataForSEO中的酒店标识符,即可获取Google上 该酒店的详细信息。
$0.004 / 次调用在 30 秒内响应
查阅某家酒店在 Google 上的页面信息,该信息会根据所选的位置和语言,以及可选的入住日期、退房日期和客人人数来显示。查询时可使用该酒店的唯一标识符。答案就是那家酒店:它的名称、星级、地址、简介、官方网站、所提供的设施与服务、所处的周边环境、在各类活动场所、餐厅、交通设施以及机场交通便利程度方面的评分、地图坐标、包含投票数量及评分分布的评论评分,以及酒店的整体外观图片。每次调用发送一次请求,按供应商的价目表计费;空结果集会标记为无结果。
如何调用
第 1 步接入
首次使用时,将提示词粘贴到 Agent 对话中。Skill 会自动安装 CLI 并完成登录。无法使用 shell 的 Agent 可通过 MCP 接入。
接入
set up https://glasser.ai/SKILL.md
Show me how to use the DataForSEO endpoint /v3/business_data/google/hotel_info/live/advanced on Glasser.bash
glasser run -p dataforseo -e '/v3/business_data/google/hotel_info/live/advanced' -i '{"language_code":"en","location_code":1023191,"hotel_identifier":"CgoI-KWyzenM_MV3EAE"}' --endpoint-version 2使用接口版本 2。运行前请确认当前价格,并先在开始使用页面安装和登录。
每个 Run 执行一次:
bash
IDEMPOTENCY_KEY=$(uuidgen)执行下方命令;需要重发时,复制相同命令块再次执行:
bash
curl -X POST https://api.glasser.ai/v1/runs \
-H "Authorization: Bearer gl_..." \
-H "Idempotency-Key: $IDEMPOTENCY_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"dataforseo","endpoint":"/v3/business_data/google/hotel_info/live/advanced","input":{"language_code":"en","location_code":1023191,"hotel_identifier":"CgoI-KWyzenM_MV3EAE"},"endpoint_version":2}'重发时请使用相同的 Idempotency-Key:第二次发送只会读取首个 Run。新的幂等键会创建新的 Run 并产生新的费用。此处使用接口版本 2,运行前请确认当前价格。
第 2 步尝试一个具体任务
筛选潜在客户时,可以将公司信息与理想客户标准比较,决定接下来研究哪些公司。
复制此提示词到你的 Agent,按理想客户标准审阅公司。
提示词
Use dataforseo:/v3/business_data/google/hotel_info/live/advanced on Glasser.
Check the returned company data against my ideal-customer criteria.接口结构
json
{
"type": "object",
"$schema": "http://json-schema.org/draft-07/schema#",
"required": [
"hotel_identifier"
],
"properties": {
"tag": {
"type": "string",
"maxLength": 2048,
"minLength": 1
},
"adults": {
"type": "integer"
},
"check_in": {
"type": "string",
"maxLength": 2048,
"minLength": 1
},
"children": {
"type": "array",
"items": {
"type": "string",
"maxLength": 2048,
"minLength": 1
},
"maxItems": 100,
"minItems": 1
},
"currency": {
"type": "string",
"maxLength": 2048,
"minLength": 1
},
"check_out": {
"type": "string",
"maxLength": 2048,
"minLength": 1
},
"language_code": {
"type": "string",
"maxLength": 2048,
"minLength": 1
},
"language_name": {
"type": "string"
},
"location_code": {
"type": "integer"
},
"location_name": {
"type": "string"
},
"prices_end_date": {
"type": "string",
"maxLength": 2048,
"minLength": 1
},
"hotel_identifier": {
"type": "string",
"maxLength": 2048,
"minLength": 1
},
"prices_date_range": {
"type": "string",
"maxLength": 2048,
"minLength": 1
},
"prices_start_date": {
"type": "string",
"maxLength": 2048,
"minLength": 1
},
"location_coordinate": {
"type": "string",
"maxLength": 2048,
"minLength": 1
},
"load_prices_by_dates": {
"type": "boolean"
}
},
"additionalProperties": false
}json
{
"language_code": "en",
"location_code": 1023191,
"hotel_identifier": "CgoI-KWyzenM_MV3EAE"
}此接口未发布输出结构。你将收到数据提供商的原始响应正文,我们不会承诺无法保证的输出格式。
计费说明
| 返回数据或无匹配 | 有无匹配数据均按此价格收费。 | $0.004 |
|---|---|---|
| 数据提供商错误 | 数据提供商未能响应。 | $0.00 |
| 运行超时 | 运行超过时间限制。 | $0.00 |
| 内部错误 | 内部错误导致运行未能完成。 | $0.00 |